Index: src/main/java/com/xpn/xwiki/web/XWikiPortletURLFactory.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/XWikiPortletURLFactory.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/XWikiPortletURLFactory.java	(working copy)
@@ -22,6 +22,8 @@
 package com.xpn.xwiki.web;
 
 import com.xpn.xwiki.XWikiContext;
+import com.xpn.xwiki.api.DocumentAction;
+
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
 
@@ -45,22 +47,22 @@
         actionPath = "bin/";
     }
 
-    public URL createAttachmentURL(String filename, String web, String name, String action, String xwikidb, XWikiContext context) {
+    public URL createAttachmentURL(String filename, String web, String name, DocumentAction action, String xwikidb, XWikiContext context) {
         try {
             XWikiResponse response = context.getResponse();
             PortletURL purl;
-            if (action.equals("download"))
+            if (action.equals(DocumentAction.DOWNLOAD))
                 return super.createAttachmentURL(filename, web, name, action, xwikidb, context);    //To change body of overridden methods use File | Settings | File Templates.
-            else if (action.equals("viewattachrev")) {
+            else if (action.equals(DocumentAction.VIEWATTACHREV)) {
                 purl = response.createRenderURL();
                 purl.setParameter("filename", filename);
-                purl.setParameter("action", action);
+                purl.setParameter("action", action.toString());
                 purl.setParameter("topic", web + "." + name);
             } else {
                 purl = response.createActionURL();
                 purl.setParameter("topic", web + "." + name);
                 purl.setParameter("filename", filename);
-                purl.setParameter("action", action);
+                purl.setParameter("action", action.toString());
             }
 
             if (log.isDebugEnabled())
@@ -74,17 +76,17 @@
         }
     }
 
-    public URL createURL(String web, String name, String action, String querystring, String anchor, String xwikidb, XWikiContext context) {
+    public URL createURL(String web, String name, DocumentAction action, String querystring, String anchor, String xwikidb, XWikiContext context) {
         try {
             if (log.isDebugEnabled())
-                log.debug("Generating URL for: " + xwikidb + ":" + web + "." + name + " for action " + action
+                log.debug("Generating URL for: " + xwikidb + ":" + web + "." + name + " for action " + action.toString()
                         + " with querystring " + querystring + " and anchor " + anchor);
 
             XWikiResponse response = context.getResponse();
             PortletURL purl;
 
             // Action and Query String transformers
-            if ((action.equals("view"))&&(context.getLinksAction()!=null)) {
+            if ((action.equals(DocumentAction.VIEW))&&(context.getLinksAction()!=null)) {
                 action = context.getLinksAction();
             }
             if (context.getLinksQueryString()!=null) {
@@ -94,15 +96,16 @@
                  querystring = querystring + "&" + context.getLinksQueryString();
             }
 
-            if (action.equals("view") || action.equals("viewrev") || action.equals("attach") || action.equals("download") || action.equals("downloadrev") || action.equals("viewattachrev") || action.equals("skin") || action.equals("dot"))
+            if (action.equals(DocumentAction.VIEW) || action.equals(DocumentAction.VIEWREV) || action.equals(DocumentAction.ATTACH) || action.equals(DocumentAction.DOWNLOAD) || action.equals(DocumentAction.DOWNLOADREV) || action.equals(DocumentAction.VIEWATTACHREV) || action.equals(DocumentAction.SKIN) || action.equals(DocumentAction.valueOf("dot")))
                 purl = response.createRenderURL();
             else
-            if (action.equals("save") || action.equals("cancel") || action.equals("delete") || action.equals("propupdate")
-                    || action.equals("propadd") || action.equals("propdelete")
-                    || action.equals("objectadd") || action.equals("objectremove")
-                    || action.equals("commentadd") || action.equals("editprefs")
-                    || action.equals("upload") || action.equals("delattachment")
-                    || action.equals("login") || action.equals("logout"))
+            if (action.equals(DocumentAction.SAVE) || action.equals(DocumentAction.CANCEL)
+                || action.equals(DocumentAction.DELETE) || action.equals(DocumentAction.PROPUPDATE)
+                || action.equals(DocumentAction.PROPADD) || action.equals(DocumentAction.PROPDELETE)
+                || action.equals(DocumentAction.OBJECTADD) || action.equals(DocumentAction.OBJECTREMOVE)
+                || action.equals(DocumentAction.COMMENTADD) || action.equals(DocumentAction.EDITPREFS)
+                || action.equals(DocumentAction.UPLOAD) || action.equals(DocumentAction.DELATTACHMENT)
+                || action.equals(DocumentAction.LOGIN) || action.equals(DocumentAction.LOGOUT))
                 purl = response.createActionURL();
             else
                 purl = response.createRenderURL();
@@ -116,7 +119,7 @@
             }
 
             purl.setParameter("topic", web + "." + name);
-            purl.setParameter("action", action);
+            purl.setParameter("action", action.toString());
 
             if (log.isDebugEnabled())
                 log.debug("Generated URL is: " + purl.toString());
@@ -129,17 +132,17 @@
         }
     }
 
-    public URL createURL(String web, String name, String action, boolean redirect, XWikiContext context) {
+    public URL createURL(String web, String name, DocumentAction action, boolean redirect, XWikiContext context) {
         if (redirect == false)
             return createURL(web, name, action, context);
 
         try {
             if (log.isDebugEnabled())
-                log.debug("Generating Redirect URL for: " + web + "." + name + " for action " + action);
+                log.debug("Generating Redirect URL for: " + web + "." + name + " for action " + action.toString());
 
             XWikiResponse response = context.getResponse();
             response.setRenderParameter("topic", web + "." + name);
-            response.setRenderParameter("action", action);
+            response.setRenderParameter("action", action.toString());
             return null;
         }
         catch (Exception e) {
@@ -148,7 +151,7 @@
         }
     }
 
-    public URL createExternalURL(String web, String name, String action, String querystring, String anchor, String xwikidb, XWikiContext context) {
+    public URL createExternalURL(String web, String name, DocumentAction action, String querystring, String anchor, String xwikidb, XWikiContext context) {
         return super.createURL(web, name, action, querystring, anchor, xwikidb, context);
     }
 
Index: src/main/java/com/xpn/xwiki/web/StatusAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/StatusAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/StatusAction.java	(working copy)
@@ -23,6 +23,7 @@
 import com.xpn.xwiki.XWiki;
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.render.XWikiVelocityRenderer;
 import org.apache.struts.action.Action;
 import org.apache.struts.action.ActionForm;
@@ -38,7 +39,7 @@
 	public ActionForward execute(ActionMapping mapping, ActionForm form,
 			HttpServletRequest req, HttpServletResponse resp) throws Exception {
 		
-		String action = mapping.getName();
+		DocumentAction action = DocumentAction.valueOf(mapping.getName());
         XWikiRequest request = new XWikiServletRequest(req);
         XWikiResponse response = new XWikiServletResponse(resp);
         XWikiContext context = Utils.prepareContext(action, request,
Index: src/main/java/com/xpn/xwiki/web/DownloadRevAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/DownloadRevAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/DownloadRevAction.java	(working copy)
@@ -2,6 +2,7 @@
 
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.doc.XWikiAttachment;
 import com.xpn.xwiki.doc.XWikiDocument;
 import com.xpn.xwiki.plugin.XWikiPluginManager;
@@ -36,7 +37,7 @@
             try {
                 attachment = attachment.getAttachmentRevision(rev, context);
             } catch(XWikiException e){
-                String url = context.getDoc().getURL("viewattachrev", true, context);
+                String url = context.getDoc().getURL(DocumentAction.VIEWATTACHREV, true, context);
                 try {
                     context.getResponse().sendRedirect(url+"/" + filename);
                 } catch (IOException ioe) {
Index: src/main/java/com/xpn/xwiki/web/SaveAndContinueAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/SaveAndContinueAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/SaveAndContinueAction.java	(working copy)
@@ -22,6 +22,7 @@
 
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 
 import java.io.IOException;
 
@@ -36,7 +37,7 @@
             if (back == null || back.equals("")) {
                 back = request.getHeader("Referer");
                 if (back == null || back.equals("")) {
-                    back = context.getDoc().getURL("edit", context);
+                    back = context.getDoc().getURL(DocumentAction.EDIT, context);
                 } else {
                     int qm = back.indexOf('?');
                     String base = back.substring(0, qm != -1 ? qm : back.length());
Index: src/main/java/com/xpn/xwiki/web/PropAddAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/PropAddAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/PropAddAction.java	(working copy)
@@ -23,6 +23,7 @@
 import com.xpn.xwiki.XWiki;
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.doc.XWikiDocument;
 import com.xpn.xwiki.objects.classes.BaseClass;
 import com.xpn.xwiki.objects.classes.PropertyClass;
@@ -68,7 +69,7 @@
             }
         }
         // forward to edit
-        String redirect = Utils.getRedirect("edit", context);
+        String redirect = Utils.getRedirect(DocumentAction.EDIT, context);
         sendRedirect(response, redirect);
         return false;
 	}
Index: src/main/java/com/xpn/xwiki/web/XWikiPortlet.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/XWikiPortlet.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/XWikiPortlet.java	(working copy)
@@ -24,6 +24,7 @@
 import com.xpn.xwiki.XWiki;
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.plugin.fileupload.FileUploadPlugin;
 import com.xpn.xwiki.plugin.charts.actions.ChartingAction;
 import com.xpn.xwiki.plugin.charts.actions.PreviewChartAction;
@@ -50,7 +51,7 @@
         return name;
     }
 
-    protected XWikiContext prepareContext(String action, XWikiRequest request, XWikiResponse response, XWikiEngineContext engine_context) throws XWikiException {
+    protected XWikiContext prepareContext(DocumentAction action, XWikiRequest request, XWikiResponse response, XWikiEngineContext engine_context) throws XWikiException {
         return Utils.prepareContext(action, request, response, engine_context);
     }
 
@@ -69,7 +70,7 @@
         }
     }
 
-    protected boolean prepareAction(String action, XWikiRequest request, XWikiResponse response,
+    protected boolean prepareAction(DocumentAction action, XWikiRequest request, XWikiResponse response,
                                     XWikiEngineContext engine_context, XWikiContext context) throws XWikiException, IOException {
         XWiki xwiki = XWiki.getXWiki(context);
 
@@ -150,9 +151,9 @@
             XWikiEngineContext engine_context = new XWikiPortletContext(actionRequest.getPortletSession().getPortletContext());
 
             try {
-                String action = request.getParameter("action");
-                if ((action == null) || (action.equals("")))
-                    action = "view";
+                DocumentAction action = DocumentAction.valueOf(request.getParameter("action"));
+                if ((action == null) || (action.equals(DocumentAction.NONE)))
+                    action = DocumentAction.VIEW;
 
                 context = prepareContext(action, request, response, engine_context);
                 if (prepareAction(action, request, response, engine_context, context) == false)
@@ -163,21 +164,21 @@
 
                 XWikiForm form = null;
 
-                if (action.equals("save"))
+                if (action.equals(DocumentAction.SAVE))
                     form = new EditForm();
-                else if (action.equals("lock"))
+                else if (action.equals(DocumentAction.LOCK))
                     form = new EditForm();
-                else if (action.equals("cancel"))
+                else if (action.equals(DocumentAction.CANCEL))
                     form = new EditForm();
-                else if (action.equals("rollback"))
+                else if (action.equals(DocumentAction.ROLLBACK))
                     form = new RollbackForm();
-                else if (action.equals("objectadd"))
+                else if (action.equals(DocumentAction.OBJECTADD))
                     form = new ObjectAddForm();
-                else if (action.equals("commentadd"))
+                else if (action.equals(DocumentAction.COMMENTADD))
                     form = new ObjectAddForm();
-                else if (action.equals("objectremove"))
+                else if (action.equals(DocumentAction.OBJECTREMOVE))
                     form = new ObjectRemoveForm();
-                else if (action.equals("propadd"))
+                else if (action.equals(DocumentAction.PROPADD))
                     form = new PropAddForm();
 
                 if (form != null) {
@@ -185,37 +186,37 @@
                     context.setForm(form);
                 }
 
-                if (action.equals("save")) {
+                if (action.equals(DocumentAction.SAVE)) {
                     (new SaveAction()).action(context);
-                } else if (action.equals("rollback")) {
+                } else if (action.equals(DocumentAction.ROLLBACK)) {
                     (new RollbackAction()).action(context);
-                } else if (action.equals("cancel")) {
+                } else if (action.equals(DocumentAction.CANCEL)) {
                     (new CancelAction()).action(context);
-                } else if (action.equals("lock")) {
+                } else if (action.equals(DocumentAction.LOCK)) {
                     (new LockAction()).action(context);
-                } else if (action.equals("delete")) {
+                } else if (action.equals(DocumentAction.DELETE)) {
                     (new DeleteAction()).action(context);
-                } else if (action.equals("propupdate")) {
+                } else if (action.equals(DocumentAction.PROPUPDATE)) {
                     (new PropUpdateAction()).action(context);
-                } else if (action.equals("propadd")) {
+                } else if (action.equals(DocumentAction.PROPADD)) {
                     (new PropAddAction()).action(context);
-                } else if (action.equals("objectadd")) {
+                } else if (action.equals(DocumentAction.OBJECTADD)) {
                     (new ObjectAddAction()).action(context);
-                } else if (action.equals("commentadd")) {
+                } else if (action.equals(DocumentAction.COMMENTADD)) {
                     (new CommentAddAction()).action(context);
-                } else if (action.equals("objectremove")) {
+                } else if (action.equals(DocumentAction.OBJECTREMOVE)) {
                     (new ObjectRemoveAction()).action(context);
-                } else if (action.equals("upload")) {
+                } else if (action.equals(DocumentAction.UPLOAD)) {
                     (new UploadAction()).action(context);
-                } else if (action.equals("delattachment")) {
+                } else if (action.equals(DocumentAction.DELATTACHMENT)) {
                     (new DeleteAttachmentAction()).action(context);
-                } else if (action.equals("skin")) {
+                } else if (action.equals(DocumentAction.SKIN)) {
                     (new SkinAction()).action(context);
-                } else if (action.equals("logout")) {
+                } else if (action.equals(DocumentAction.LOGOUT)) {
                     (new LogoutAction()).action(context);
-                } else if (action.equals("register")) {
+                } else if (action.equals(DocumentAction.REGISTER)) {
                     (new RegisterAction()).action(context);
-                } else if (action.equals("inline")) {
+                } else if (action.equals(DocumentAction.INLINE)) {
                     (new InlineAction()).action(context);
                 }
             } catch (Throwable e) {
@@ -243,14 +244,15 @@
         XWikiRequest request = new XWikiPortletRequest(renderRequest);
         XWikiResponse response = new XWikiPortletResponse(renderResponse);
         XWikiEngineContext engine_context = new XWikiPortletContext(renderRequest.getPortletSession().getPortletContext());
-        String action = null;
+        DocumentAction action = null;
 
         try {
-            action = request.getParameter("action");
-            if ((action == null) || (action.equals(""))) {
+            DocumentAction portletConfigAction = DocumentAction.valueOf("portletConfig");
+            action = DocumentAction.valueOf(request.getParameter("action"));
+            if ((action == null) || (action.equals(DocumentAction.NONE))) {
                 action = renderRequest.getPortletMode().equals(CONFIG_PORTLET_MODE)
-                        ? "portletConfig"
-                        : "view";
+                        ? portletConfigAction
+                        : DocumentAction.VIEW;
             }
             context = prepareContext(action, request, response, engine_context);
             if (prepareAction(action, request, response, engine_context, context) == false)
@@ -258,10 +260,10 @@
 
             XWikiForm form = null;
 
-            if (action.equals("edit")
-                    || action.equals("inline"))
+            if (action.equals(DocumentAction.EDIT)
+                    || action.equals(DocumentAction.INLINE))
                 form = new EditForm();
-            else if (action.equals("preview"))
+            else if (action.equals(DocumentAction.PREVIEW))
                 form = new EditForm();
 
             if (form != null) {
@@ -271,45 +273,45 @@
 
             String renderResult = null;
             // Determine what to do
-            if (action.equals("view")) {
+            if (action.equals(DocumentAction.VIEW)) {
                 renderResult = (new ViewAction()).render(context);
-            } else if (action.equals("viewrev")) {
+            } else if (action.equals(DocumentAction.VIEWREV)) {
                 renderResult = (new ViewrevAction()).render(context);
-            } else if (action.equals("inline")) {
+            } else if (action.equals(DocumentAction.INLINE)) {
                 renderResult = (new InlineAction()).render(context);
-            } else if (action.equals("edit")) {
+            } else if (action.equals(DocumentAction.EDIT)) {
                 renderResult = (new EditAction()).render(context);
-            } else if (action.equals("preview")) {
+            } else if (action.equals(DocumentAction.PREVIEW)) {
                 renderResult = (new PreviewAction()).render(context);
-            } else if (action.equals("delete")) {
+            } else if (action.equals(DocumentAction.DELETE)) {
                 renderResult = (new DeleteAction()).render(context);
-            } else if (action.equals("download")) {
+            } else if (action.equals(DocumentAction.DOWNLOAD)) {
                 renderResult = (new DownloadAction()).render(context);
-            } else if (action.equals("downloadrev")) {
+            } else if (action.equals(DocumentAction.DOWNLOADREV)) {
                 renderResult = (new DownloadRevAction()).render(context);
-            } else if (action.equals("viewattachrev")) {
+            } else if (action.equals(DocumentAction.VIEWATTACHREV)) {
                 renderResult = (new ViewAttachRevAction()).render(context);
-            } else if (action.equals("dot")) {
+            } else if (action.equals(DocumentAction.valueOf("dot"))) {
                 renderResult = (new DotAction()).render(context);
-            } else if (action.equals("svg")) {
+            } else if (action.equals(DocumentAction.valueOf("svg"))) {
                 renderResult = (new SVGAction()).render(context);
-            } else if (action.equals("attach")) {
+            } else if (action.equals(DocumentAction.ATTACH)) {
                 renderResult = (new AttachAction()).render(context);
-            } else if (action.equals("login")) {
+            } else if (action.equals(DocumentAction.LOGIN)) {
                 renderResult = (new LoginAction()).render(context);
-            } else if (action.equals("loginsubmit")) {
+            } else if (action.equals(DocumentAction.LOGINSUBMIT)) {
                 renderResult = (new LoginSubmitAction()).render(context);
-            } else if (action.equals("loginerror")) {
+            } else if (action.equals(DocumentAction.LOGINERROR)) {
                 renderResult = (new LoginErrorAction()).render(context);
-            } else if (action.equals("register")) {
+            } else if (action.equals(DocumentAction.REGISTER)) {
                 renderResult = (new RegisterAction()).render(context);
-            } else if (action.equals("skin")) {
+            } else if (action.equals(DocumentAction.SKIN)) {
                 renderResult = (new SkinAction()).render(context);
-            } else if (action.equals("export")) {
+            } else if (action.equals(DocumentAction.EXPORT)) {
                 renderResult = (new ExportAction()).render(context);
-            } else if (action.equals("import")) {
+            } else if (action.equals(DocumentAction.IMPORT)) {
                 renderResult = (new ImportAction()).render(context);
-            } else if (action.equals("portletConfig")) {
+            } else if (action.equals(portletConfigAction)) {
                 renderResult = "portletConfig";
             } 
             if (renderResult != null) {
Index: src/main/java/com/xpn/xwiki/web/DeleteAttachmentAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/DeleteAttachmentAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/DeleteAttachmentAction.java	(working copy)
@@ -21,6 +21,7 @@
 
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.doc.XWikiAttachment;
 import com.xpn.xwiki.doc.XWikiDocument;
 
@@ -52,7 +53,7 @@
         doc.setAuthor(context.getUser());
         doc.deleteAttachment(attachment, context);
         // forward to attach page
-        String redirect = Utils.getRedirect("attach", context);
+        String redirect = Utils.getRedirect(DocumentAction.ATTACH, context);
         sendRedirect(response, redirect);
         return false;
     }
Index: src/main/java/com/xpn/xwiki/web/ObjectAddAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/ObjectAddAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/ObjectAddAction.java	(working copy)
@@ -23,6 +23,7 @@
 import com.xpn.xwiki.XWiki;
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.doc.XWikiDocument;
 import com.xpn.xwiki.objects.BaseObject;
 import com.xpn.xwiki.objects.classes.BaseClass;
@@ -68,7 +69,7 @@
         xwiki.saveDocument(doc, olddoc, context.getMessageTool().get("core.comment.addObject"), context);
 
         // forward to edit
-        String redirect = Utils.getRedirect("edit", context);
+        String redirect = Utils.getRedirect(DocumentAction.EDIT, context);
         sendRedirect(response, redirect);
         return false;
 	}
Index: src/main/java/com/xpn/xwiki/web/PreviewAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/PreviewAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/PreviewAction.java	(working copy)
@@ -23,7 +23,6 @@
 import com.xpn.xwiki.XWiki;
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
-import com.xpn.xwiki.api.Document;
 import com.xpn.xwiki.doc.XWikiDocument;
 import com.xpn.xwiki.plugin.captcha.CaptchaPluginApi;
 import org.apache.velocity.VelocityContext;
Index: src/main/java/com/xpn/xwiki/web/PropUpdateAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/PropUpdateAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/PropUpdateAction.java	(working copy)
@@ -28,6 +28,7 @@
 import com.xpn.xwiki.XWiki;
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.doc.XWikiDocument;
 import com.xpn.xwiki.objects.classes.BaseClass;
 import com.xpn.xwiki.objects.classes.PropertyClass;
@@ -107,7 +108,7 @@
             return true;
         }
         // forward to view
-        String redirect = Utils.getRedirect("view", context);
+        String redirect = Utils.getRedirect(DocumentAction.VIEW, context);
         sendRedirect(context.getResponse(), redirect);
         return false;
     }
Index: src/main/java/com/xpn/xwiki/web/CancelAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/CancelAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/CancelAction.java	(working copy)
@@ -22,6 +22,7 @@
 
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.doc.XWikiDocument;
 import com.xpn.xwiki.doc.XWikiLock;
 
@@ -63,7 +64,7 @@
 		// forward to view
 		String ajax = request.getParameter("ajax");
 		if (ajax == null || !ajax.equals("1")) {
-			String redirect = Utils.getRedirect("view", context);
+			String redirect = Utils.getRedirect(DocumentAction.VIEW, context);
 			sendRedirect(response, redirect);
 		}
 		return false;
Index: src/main/java/com/xpn/xwiki/web/LockAction.java
===================================================================
--- src/main/java/com/xpn/xwiki/web/LockAction.java	(revision 3976)
+++ src/main/java/com/xpn/xwiki/web/LockAction.java	(working copy)
@@ -3,6 +3,7 @@
 import com.xpn.xwiki.XWiki;
 import com.xpn.xwiki.XWikiContext;
 import com.xpn.xwiki.XWikiException;
+import com.xpn.xwiki.api.DocumentAction;
 import com.xpn.xwiki.doc.XWikiDocument;
 import com.xpn.xwiki.doc.XWikiLock;
 
@@ -43,7 +44,7 @@
         // forward to view
         String ajax = request.getParameter("ajax");
         if(ajax == null || !ajax.equals("1")){
-        	String redirect = Utils.getRedirect("view", context);
+        	String redirect = Utils.getRedirect(DocumentAction.VIEW, context);
         	sendRedirect(response, redirect);
         }
         return false;
